![Cover Image](https://github.com/chintanrparmar/WikiSearcher/blob/master/cover_image.png)

***You can Install the Sample app by clicking below 👇***

[![WikiSearcher App](https://img.shields.io/badge/WikiSearcher-APK-red)](https://github.com/chintanrparmar/WikiSearcher/raw/master/sample-app.apk)

## About

It uses the [Wikipedia API](https://www.mediawiki.org/wiki/API:Page_info_in_search_results) to show a list of search results.

## Built With

-   [Kotlin](https://kotlinlang.org/)  - First class and official programming language for Android development.
-   [Coroutines](https://kotlinlang.org/docs/reference/coroutines-overview.html)  - For asynchronous and more..
that sequentially emits values and completes normally or with an exception.
-   [Android Architecture Components](https://developer.android.com/topic/libraries/architecture)  - Collection of libraries that help you design robust, testable, and maintainable apps.
    -   [LiveData](https://developer.android.com/topic/libraries/architecture/livedata)  - Data objects that notify views when the underlying database changes.
    -   [ViewModel](https://developer.android.com/topic/libraries/architecture/viewmodel)  - Stores UI-related data that isn't destroyed on UI changes.
    -   [ViewBinding](https://developer.android.com/topic/libraries/view-binding)  - Generates a binding class for each XML layout file present in that module and allows you to more easily write code that interacts with views.
- [Koin](https://insert-koin.io/) - Dependency Injection Framework
-   [Retrofit](https://square.github.io/retrofit/)  - A type-safe HTTP client for Android and Java.
-   [Moshi](https://github.com/square/moshi)  - A modern JSON library for Kotlin and Java.
-   [Coil-kt](https://coil-kt.github.io/coil/)  - An image loading library for Android backed by Kotlin Coroutines.
-   [Material Components for Android](https://github.com/material-components/material-components-android)  - Modular and customizable Material Design UI components for Android.## Switch to another file


## Contact
If you need any help, feel free to connect.
[chintan.app](https://chintan.app)



**Design Contributed By:** [Roshan](https://github.com/roshanrahman)


